Bug 111322 - X Server crash, Intel 845G Chipset
X Server crash, Intel 845G Chipset
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: XFree86 (Show other bugs)
3.0
i686 Linux
high Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-01 20:52 EST by Charlie Peppler
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-10 16:55:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
XFree86.0.log logfile (3.23 KB, text/plain)
2003-12-01 20:55 EST, Charlie Peppler
no flags Details
XF86 Config file (3.08 KB, text/plain)
2003-12-01 20:56 EST, Charlie Peppler
no flags Details
messages file (96.27 KB, text/plain)
2003-12-01 20:56 EST, Charlie Peppler
no flags Details

  None (edit)
Description Charlie Peppler 2003-12-01 20:52:35 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.3.1)
Gecko/20030425

Description of problem:
New installation of RHEL WS Release 3 (Taroon).  The setup probes the
video card and correctly identifies the Intel 845G Chipset.  The Linux
installer comes up fine in graphics mode.  startx crashes the X Server.

I had a similar problem when previously installing RH 8.0 on this same
box.  I went to intel website and downloaded the graphics driver for
RH linux, which fixed the problem with RH 8.0.  I repeated the same
thing this time from
http://downloadfinder.intel.com/scripts-df/filter_results.asp?strOSs=39&strTypes=DRV%2CARC&ProductID=865&OSFullName=Linux*&submit=Go%21
I downloaded and attempted to install first the rpm, and then the tar
file.  Each time the build failed.  I checked to see if the kernel
source was loaded:
rpm -qa | grep kernel
kernel-2.4.21-4.EL
kernel-utils-2.4-8.37
kernel-pcmcia-cs-3.1.31-13
kernel-source-2.4.21-4.EL

So, I'm stuck.  I've attached the requested files from the crash dump
error message.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.startx


Actual Results:  Fatal server error:
Caught signal 11.  Server aborting.
...
XIO: fatal IO error 104 (Connection reset by peer) on X server ":0.0"
after 0 requests (0 known processed) with 0 events remaining.

Expected Results:  X should have started up.

Additional info:

uname -rv
2.4.21-4.EL #1 Fri Oct 3 18:13:58 EDT 20003
Comment 1 Charlie Peppler 2003-12-01 20:55:35 EST
Created attachment 96274 [details]
XFree86.0.log logfile
Comment 2 Charlie Peppler 2003-12-01 20:56:10 EST
Created attachment 96275 [details]
XF86 Config file
Comment 3 Charlie Peppler 2003-12-01 20:56:47 EST
Created attachment 96276 [details]
messages file
Comment 4 Bastien Nocera 2004-02-12 10:39:59 EST
This driver will not work properly. Use the Red Hat supplied drivers
with the instructions from http://www.chzsoft.com.ar/855patch.html and
it should work fine.
Comment 5 Suzanne Hillman 2004-07-15 16:48:40 EDT
Closing as there has not been a reply to comment #4 in many months.
Comment 7 Mike A. Harris 2004-07-15 22:52:56 EDT
I'm reopening this, as I do not believe the problem discussed in
the web page provided in comment #4 is related to the problem being
reported in this bug report.  An examination of the attached files
seems to show the X server dying in the pci bus probing stage, not
the video driver.

This problem may require direct physical access to the hardware in
order to troubleshoot further however.

We don't support 3rd party drivers or patches, etc. such as those
in comment #4, however we do support the stuff we ship with the
OS.  Since I don't currently consider this a driver related problem,
changing the driver is unlikely to help IMHO.

My suggestion, is to restore the OS supplied files if any have
been modified, by reinstalling all of the XFree86 rpm packages,
then ensure that all updates are applied to the system, so that
the latest bugfixes are present.

After that, run "redhat-config-xfree86 --reconfig", and it should
generate a brand new X configuration.  Try running "startx" with
that, and if it fails, make backup copies of the failed X server
log and config file to attach to the bug report.  You may want to
try the "vesa" driver as well, however this doesn't look driver
related to me, so I don't think that will help.

It is possible that X doesn't like the PCI bus structure on this
machine.  That could be a hardware issue, or just a X server
limitation which might be fixable.

TIA
Comment 8 Mike A. Harris 2004-07-15 22:57:56 EDT
A closer inspection of the attached log file shows:

XFree86 Version 4.3.0 (Red Hat Enterprise Linux release: 4.3.0-35.EL)
...
(II) Module pcidata: vendor="The XFree86 Project"
	compiled for 4.2.0, module version = 0.1.0
	ABI class: XFree86 Video Driver, version 0.5


Note the server is indicating the pcidata module was compiled for
XFree86 "4.2.0" here.  That is the version we shipped in Red Hat
Linux 7.3 and 8.0, but not in RHEL 3.

Here is the output from my own local 4.3.0 X server:

(II) Module pcidata: vendor="The XFree86 Project"
        compiled for 4.3.0, module version = 1.0.0
        ABI class: XFree86 Video Driver, version 0.6


From this, it seems that your X server installation includes
X server modules that are not supplied with Red Hat Enterprise
Linux 3, but were added on from an older OS release or something.

Please uninstall any alternative XFree86 installations and/or
modules, etc. and reinstall the RHEL supplied X server rpms
via up2date.  After that, follow the steps in my previous comment
and we will get a reliable log/config to investigate further.

Thanks in advance.
Comment 9 Mike A. Harris 2005-03-06 13:15:18 EST
Since the time this report was filed and last commented on,
there have been XFree86 updates which might resolve this
issue.

Please indicate if this issue is still a problem in the current
RHEL update, with all errata applied.  If the problem still
exists, we will reinvestigate.

Thanks in advance.
Comment 10 Mike A. Harris 2005-03-06 13:16:10 EST
Setting status to "NEEDINFO", awaiting feedback to comment #9 above.
Comment 12 Mike A. Harris 2005-05-10 16:55:31 EDT
Closing bug report due to inactivity and lack of response, under the
assumption the original reporter can no longer reproduce the issue.

If, the problem recurs or persists after updating to the latest official
Red Hat Enterprise Linux XFree86 and kernel updates, please log into the
official Red Hat support website at http://www.redhat.com/support and
register a support ticket in order to receive support for the issue.
Alternatively, you can call Red Hat technical support at 1-888-RED-HAT1
to receive technical support as per the terms of your support contract
with Red Hat.

Thanks for testing.

Setting status to "CURRENTRELEASE".

Note You need to log in before you can comment on or make changes to this bug.